KEYRecord.Flags (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class KEYRecord.Flags

- java.lang.Object
- - org.xbill.DNS.KEYRecord.Flags

- Enclosing class:
    KEYRecord

      public static class KEYRecord.Flags
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `EXTEND` Flags extension
    `static int` | `FLAG10` Flag 10 (unused)
    `static int` | `FLAG11` Flag 11 (unused)
    `static int` | `FLAG2` Flag 2 (unused)
    `static int` | `FLAG4` Flag 4 (unused)
    `static int` | `FLAG5` Flag 5 (unused)
    `static int` | `FLAG8` Flag 8 (unused)
    `static int` | `FLAG9` Flag 9 (unused)
    `static int` | `HOST` Key is owned by a host.
    `static int` | `NOAUTH` KEY cannot be used for authentication
    `static int` | `NOCONF` KEY cannot be used for confidentiality
    `static int` | `NOKEY` No key present
    `static int` | `NTYP3` Key owner type 3 (reserved).
    `static int` | `OWNER_MASK` Key owner bitmask.
    `static int` | `SIG0` Signatory value 0
    `static int` | `SIG1` Signatory value 1
    `static int` | `SIG10` Signatory value 10
    `static int` | `SIG11` Signatory value 11
    `static int` | `SIG12` Signatory value 12
    `static int` | `SIG13` Signatory value 13
    `static int` | `SIG14` Signatory value 14
    `static int` | `SIG15` Signatory value 15
    `static int` | `SIG2` Signatory value 2
    `static int` | `SIG3` Signatory value 3
    `static int` | `SIG4` Signatory value 4
    `static int` | `SIG5` Signatory value 5
    `static int` | `SIG6` Signatory value 6
    `static int` | `SIG7` Signatory value 7
    `static int` | `SIG8` Signatory value 8
    `static int` | `SIG9` Signatory value 9
    `static int` | `USE_MASK` Bitmask of the use fields
    `static int` | `USER` Key is owned by a user.
    `static int` | `ZONE` Key is owned by a zone.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `value(String s)` Converts a textual representation of KEY flags into its numeric code.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NOCONF

          public static final int NOCONF

      KEY cannot be used for confidentiality
      See Also:
        Constant Field Values

    - #### NOAUTH

          public static final int NOAUTH

      KEY cannot be used for authentication
      See Also:
        Constant Field Values

    - #### NOKEY

          public static final int NOKEY

      No key present
      See Also:
        Constant Field Values

    - #### USE_MASK

          public static final int USE_MASK

      Bitmask of the use fields
      See Also:
        Constant Field Values

    - #### FLAG2

          public static final int FLAG2

      Flag 2 (unused)
      See Also:
        Constant Field Values

    - #### EXTEND

          public static final int EXTEND

      Flags extension
      See Also:
        Constant Field Values

    - #### FLAG4

          public static final int FLAG4

      Flag 4 (unused)
      See Also:
        Constant Field Values

    - #### FLAG5

          public static final int FLAG5

      Flag 5 (unused)
      See Also:
        Constant Field Values

    - #### USER

          public static final int USER

      Key is owned by a user.
      See Also:
        Constant Field Values

    - #### ZONE

          public static final int ZONE

      Key is owned by a zone.
      See Also:
        Constant Field Values

    - #### HOST

          public static final int HOST

      Key is owned by a host.
      See Also:
        Constant Field Values

    - #### NTYP3

          public static final int NTYP3

      Key owner type 3 (reserved).
      See Also:
        Constant Field Values

    - #### OWNER_MASK

          public static final int OWNER_MASK

      Key owner bitmask.
      See Also:
        Constant Field Values

    - #### FLAG8

          public static final int FLAG8

      Flag 8 (unused)
      See Also:
        Constant Field Values

    - #### FLAG9

          public static final int FLAG9

      Flag 9 (unused)
      See Also:
        Constant Field Values

    - #### FLAG10

          public static final int FLAG10

      Flag 10 (unused)
      See Also:
        Constant Field Values

    - #### FLAG11

          public static final int FLAG11

      Flag 11 (unused)
      See Also:
        Constant Field Values

    - #### SIG0

          public static final int SIG0

      Signatory value 0
      See Also:
        Constant Field Values

    - #### SIG1

          public static final int SIG1

      Signatory value 1
      See Also:
        Constant Field Values

    - #### SIG2

          public static final int SIG2

      Signatory value 2
      See Also:
        Constant Field Values

    - #### SIG3

          public static final int SIG3

      Signatory value 3
      See Also:
        Constant Field Values

    - #### SIG4

          public static final int SIG4

      Signatory value 4
      See Also:
        Constant Field Values

    - #### SIG5

          public static final int SIG5

      Signatory value 5
      See Also:
        Constant Field Values

    - #### SIG6

          public static final int SIG6

      Signatory value 6
      See Also:
        Constant Field Values

    - #### SIG7

          public static final int SIG7

      Signatory value 7
      See Also:
        Constant Field Values

    - #### SIG8

          public static final int SIG8

      Signatory value 8
      See Also:
        Constant Field Values

    - #### SIG9

          public static final int SIG9

      Signatory value 9
      See Also:
        Constant Field Values

    - #### SIG10

          public static final int SIG10

      Signatory value 10
      See Also:
        Constant Field Values

    - #### SIG11

          public static final int SIG11

      Signatory value 11
      See Also:
        Constant Field Values

    - #### SIG12

          public static final int SIG12

      Signatory value 12
      See Also:
        Constant Field Values

    - #### SIG13

          public static final int SIG13

      Signatory value 13
      See Also:
        Constant Field Values

    - #### SIG14

          public static final int SIG14

      Signatory value 14
      See Also:
        Constant Field Values

    - #### SIG15

          public static final int SIG15

      Signatory value 15
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### value

          public static int value(String s)

      Converts a textual representation of KEY flags into its numeric code. Integers in the range 0..65535 are also accepted.
      Parameters:
        `s` - The textual representation of the protocol
      Returns:
        The protocol code, or -1 on error.